mixed-port: 7890
socks-port: 7891
redir-port: 7892
allow-lan: false
mode: rule
log-level: info
external-controller: 0.0.0.0:9090
secret: "clash123"  # Web UI访问密码

# DNS设置（提高解析速度）
dns:
  enable: true
  ipv6: false
  listen: 0.0.0.0:53
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  nameserver:
    - 8.8.8.8
    - 8.8.4.4
    - 1.1.1.1
  fallback:
    - tls://dns.google:853
    - tls://1.1.1.1:853
  fallback-filter:
    geoip: true
    ipcidr:
      - 240.0.0.0/4

proxies:
  # 服务器1 - 无认证Socks5
  - name: "🔰 代理1-无认证"
    type: socks5
    server: 103.146.79.157
    port: 1314
    udp: true
    
  # 服务器2
  - name: "🚀 代理2-高数代理"
    type: socks5
    server: 45.192.97.150
    port: 44130
    username: "@gaosudailinp"
    password: "@gaosudailinp"
    udp: true
    
  # 服务器3
  - name: "⚡ 代理3-NPNB"
    type: socks5
    server: 45.192.97.150
    port: 58643
    username: "NPNBYYDS"
    password: "NPNBYYDS"
    udp: true
    
  # 服务器4
  - name: "🌐 代理4-520端口"
    type: socks5
    server: 103.146.79.157
    port: 520
    username: "@gaosudailinp"
    password: "@gaosudailinp"
    udp: true

proxy-groups:
  # 手动选择代理
  - name: "🎯 手动选择"
    type: select
    proxies:
      - "🔰 代理1-无认证"
      - "🚀 代理2-高数代理"
      - "⚡ 代理3-NPNB"
      - "🌐 代理4-520端口"
      - "DIRECT"
      - "REJECT"
  
  # 自动测速（选择延迟最低的）
  - name: "⚡ 自动选择"
    type: url-test
    url: "http://www.gstatic.com/generate_204"
    interval: 300
    tolerance: 50
    proxies:
      - "🔰 代理1-无认证"
      - "🚀 代理2-高数代理"
      - "⚡ 代理3-NPNB"
      - "🌐 代理4-520端口"
  
  # 负载均衡（随机使用代理）
  - name: "🔄 负载均衡"
    type: load-balance
    url: "http://www.gstatic.com/generate_204"
    interval: 300
    strategy: round-robin
    proxies:
      - "🔰 代理1-无认证"
      - "🚀 代理2-高数代理"
      - "⚡ 代理3-NPNB"
      - "🌐 代理4-520端口"
  
  # 国内网站直连
  - name: "🇨🇳 国内直连"
    type: select
    proxies:
      - "DIRECT"
      - "🎯 手动选择"
  
  # 流媒体专用（可选）
  - name: "🎬 流媒体"
    type: select
    proxies:
      - "⚡ 自动选择"
      - "🎯 手动选择"
      - "DIRECT"

rules:
  # 规则匹配顺序很重要！
  
  # 直连局域网和保留IP
  - DOMAIN-SUFFIX,local,DIRECT
  - IP-CIDR,10.0.0.0/8,DIRECT
  - IP-CIDR,127.0.0.0/8,DIRECT
  - IP-CIDR,172.16.0.0/12,DIRECT
  - IP-CIDR,192.168.0.0/16,DIRECT
  - IP-CIDR,224.0.0.0/4,DIRECT
  
  # 广告屏蔽（可选）
  - DOMAIN-KEYWORD,adservice,REJECT
  - DOMAIN-SUFFIX,doubleclick.net,REJECT
  - DOMAIN-SUFFIX,googleadservices.com,REJECT
  - DOMAIN-SUFFIX,googlesyndication.com,REJECT
  
  # 直连国内域名
  - DOMAIN-SUFFIX,cn,DIRECT
  - DOMAIN-SUFFIX,com.cn,DIRECT
  - DOMAIN-SUFFIX,edu.cn,DIRECT
  - DOMAIN-SUFFIX,gov.cn,DIRECT
  - DOMAIN-SUFFIX,mil.cn,DIRECT
  - DOMAIN-SUFFIX,net.cn,DIRECT
  - DOMAIN-SUFFIX,org.cn,DIRECT
  
  # 国内常见网站直连
  - DOMAIN-SUFFIX,taobao.com,DIRECT
  - DOMAIN-SUFFIX,alipay.com,DIRECT
  - DOMAIN-SUFFIX,weibo.com,DIRECT
  - DOMAIN-SUFFIX,qq.com,DIRECT
  - DOMAIN-SUFFIX,baidu.com,DIRECT
  - DOMAIN-SUFFIX,zhihu.com,DIRECT
  - DOMAIN-SUFFIX,bilibili.com,DIRECT
  - DOMAIN-SUFFIX,jd.com,DIRECT
  - DOMAIN-SUFFIX,163.com,DIRECT
  - DOMAIN-SUFFIX,126.com,DIRECT
  - DOMAIN-SUFFIX,youku.com,DIRECT
  - DOMAIN-SUFFIX,iqiyi.com,DIRECT
  - DOMAIN-SUFFIX,tencent.com,DIRECT
  - DOMAIN-SUFFIX,alibaba.com,DIRECT
  - DOMAIN-SUFFIX,weixin.com,DIRECT
  
  # GEOIP数据库匹配中国IP直连
  - GEOIP,CN,🇨🇳 国内直连
  
  # 代理国外常见网站
  - DOMAIN-SUFFIX,google.com,🎯 手动选择
  - DOMAIN-SUFFIX,gstatic.com,🎯 手动选择
  - DOMAIN-SUFFIX,googleapis.com,🎯 手动选择
  - DOMAIN-SUFFIX,youtube.com,🎯 手动选择
  - DOMAIN-SUFFIX,ytimg.com,🎯 手动选择
  - DOMAIN-SUFFIX,twitter.com,🎯 手动选择
  - DOMAIN-SUFFIX,facebook.com,🎯 手动选择
  - DOMAIN-SUFFIX,instagram.com,🎯 手动选择
  - DOMAIN-SUFFIX,whatsapp.com,🎯 手动选择
  - DOMAIN-SUFFIX,tiktok.com,🎯 手动选择
  - DOMAIN-SUFFIX,github.com,🎯 手动选择
  - DOMAIN-SUFFIX,githubusercontent.com,🎯 手动选择
  - DOMAIN-SUFFIX,openai.com,🎯 手动选择
  - DOMAIN-SUFFIX,chatgpt.com,🎯 手动选择
  - DOMAIN-SUFFIX,netflix.com,🎬 流媒体
  - DOMAIN-SUFFIX,disneyplus.com,🎬 流媒体
  - DOMAIN-SUFFIX,hbo.com,🎬 流媒体
  - DOMAIN-SUFFIX,hulu.com,🎬 流媒体
  
  # 代理Apple服务（可选）
  - DOMAIN-SUFFIX,apple.com,🎯 手动选择
  - DOMAIN-SUFFIX,icloud.com,🎯 手动选择
  
  # 代理Telegram
  - DOMAIN-SUFFIX,telegram.org,🎯 手动选择
  - DOMAIN-SUFFIX,t.me,🎯 手动选择
  
  # 最终规则 - 其他所有流量
  - MATCH,🎯 手动选择